Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier
Class ErrorInfo.BadText

    java.lang.Object
      com.sun.msv.verifier.ErrorInfo
          com.sun.msv.verifier.ErrorInfo.BadText

Enclosing class:
  ErrorInfo

public static class ErrorInfo.BadText
extends ErrorInfo

Bad text.

This type of errors indicate that the document contains PCDATA but it is not good. Here are typical examples of this error.

1. PCDATA appears where no text is allowed at all. For example:

        <html>
          <head> ... </head>
          ** invalid text **
          <body> ... </body>
        </html>

2. text was not a correct value for the given datatype. For example,

        <!-- when "integer" is expected -->
        <length> five </length>

Usually, the user can fix this error by removing or chaning the text.

MSV validates text after it collects the whole string. That means MSV does not validate text in the SAX's `characters` callback. As a result, this error is reported after the next start tag or end tag is found.

For example, in the above example, the error is reported when MSV reads `<body>`(start tag) and `</length>` (end tag) respectively.

Nested Class Summary

Nested classes inherited from class com.sun.msv.verifier.ErrorInfo
`ErrorInfo.BadAttribute, ErrorInfo.BadTagName, ErrorInfo.BadText, ErrorInfo.ElementErrorInfo, ErrorInfo.IncompleteContentModel, ErrorInfo.MissingAttribute`

Field Summary
`java.lang.String` | `literal` The actual text that caused the error.

Constructor Summary
`ErrorInfo.BadText(java.lang.String _literal)`
`ErrorInfo.BadText(java.lang.StringBuffer _literal)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### literal

    public final java.lang.String literal

  The actual text that caused the error.

Constructor Detail

### ErrorInfo.BadText

    public ErrorInfo.BadText(java.lang.String _literal)

### ErrorInfo.BadText

    public ErrorInfo.BadText(java.lang.StringBuffer _literal)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD